Bug 212629 - [PATCH] sysutils/conky: update to 1.10.4
Summary: [PATCH] sysutils/conky: update to 1.10.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-09-12 20:10 UTC by Guido Falsi
Modified: 2016-09-29 09:59 UTC (History)
3 users (show)

See Also:
ntarmos: maintainer-feedback+


Attachments
conky update (34.57 KB, patch)
2016-09-12 20:10 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2016-09-12 20:10:55 UTC
Created attachment 174696 [details]
conky update

I prepared an update to this newer conky version.

Project moved too github in the while, and also became a C++ coded project.

I also added an unconditional on lua, since it looks like it is now a mandatory requirement.

Please test attached patch.
Comment 1 ntarmos 2016-09-26 16:33:24 UTC
I'm afraid I can not maintain this port any longer. I propose a maintainer change, and suggest that Guido is assigned as the new maintainer for thir port.
Comment 2 Guido Falsi freebsd_committer 2016-09-27 14:00:51 UTC
Thanks for the feedback.

I'll take the port.
Comment 3 commit-hook freebsd_committer 2016-09-28 16:56:37 UTC
A commit references this bug:

Author: madpilot
Date: Wed Sep 28 16:55:40 UTC 2016
New revision: 422880
URL: https://svnweb.freebsd.org/changeset/ports/422880

Log:
  - Update conky and conky-awesome to 1.10.4
  - Take maintainership [1]
  - Options adapted to new version
  - Removed LUA option since it's a mandatoory requirement now
  - Use project own install target
  - Fix installation of lua helper libraries
  - Project moved to github
  - in conky-awesome, properly use OPTIONS_EXCLUDE

  PR:		212629
  Submitted by:	me
  Approved by:	ntarmos@ceid.upatras.gr (former maintainer) [1]

Changes:
  head/sysutils/conky/Makefile
  head/sysutils/conky/distinfo
  head/sysutils/conky/files/patch-CMakeLists.txt
  head/sysutils/conky/files/patch-configure
  head/sysutils/conky/files/patch-doc_docgen.sh
  head/sysutils/conky/files/patch-doc_docs.xml
  head/sysutils/conky/files/patch-lua-cairo.pkg
  head/sysutils/conky/files/patch-src-conky.c
  head/sysutils/conky/files/patch-src-freebsd.c
  head/sysutils/conky/files/patch-src-freebsd.h
  head/sysutils/conky/files/patch-src-fs.c
  head/sysutils/conky/files/patch-src_c++wrap.cc
  head/sysutils/conky/files/patch-src_conky.cc
  head/sysutils/conky/files/patch-src_core.cc
  head/sysutils/conky/files/patch-src_freebsd.cc
  head/sysutils/conky/files/patch-src_freebsd.h
  head/sysutils/conky/files/patch-src_luamm.cc
  head/sysutils/conky/files/patch-src_luamm.hh
  head/sysutils/conky/pkg-descr
  head/sysutils/conky-awesome/Makefile
  head/sysutils/conky-awesome/pkg-descr
Comment 4 Guido Falsi freebsd_committer 2016-09-28 16:57:40 UTC
Committed! Thanks.
Comment 5 w.schwarzenfeld freebsd_triage 2016-09-29 09:59:40 UTC
Update fails on 10.3-RELEASE-p9 (in the port) with:
 
CMakeFiles/conky.dir/conky.cc.o: In function `main':
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/conky.cc:(.text+0x43c5): undefined reference to `inotify_init'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/conky.cc:(.text+0x46a4): undefined reference to `inotify_add_watch'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/conky.cc:(.text+0x5302): undefined reference to `inotify_add_watch'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/conky.cc:(.text+0x538a): undefined reference to `inotify_rm_watch'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/conky.cc:(.text+0x53f9): undefined reference to `inotify_rm_watch'
CMakeFiles/conky.dir/llua.cc.o: In function `llua_append_notify(char const*)':
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x409): undefined reference to `inotify_add_watch'
CMakeFiles/conky.dir/llua.cc.o: In function `llua_rm_notifies()':
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x43d): undefined reference to `inotify_rm_watch'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x470): undefined reference to `inotify_rm_watch'
CMakeFiles/conky.dir/llua.cc.o: In function `llua_inotify_query(int, int)':
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x566): undefined reference to `inotify_add_watch'
CMakeFiles/conky.dir/llua.cc.o: In function `(anonymous namespace)::lua_load_setting::cleanup(lua::state&)':
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x15ac): undefined reference to `inotify_rm_watch'
/ram/usr/ports/sysutils/conky/work/conky-1.10.4/src/llua.cc:(.text+0x15e0): undefined reference to `inotify_rm_watch'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** [src/conky] Error code 1

make[4]: stopped in /ram/usr/ports/sysutils/conky/work/conky-1.10.4
1 error

make[4]: stopped in /ram/usr/ports/sysutils/conky/work/conky-1.10.4
*** [src/CMakeFiles/conky.dir/all] Error code 2

make[3]: stopped in /ram/usr/ports/sysutils/conky/work/conky-1.10.4
1 error

make[3]: stopped in /ram/usr/ports/sysutils/conky/work/conky-1.10.4
*** [all] Error code 2

make[2]: stopped in /ram/usr/ports/sysutils/conky/work/conky-1.10.4
1 error